# DataSourceClock

#### new Cesium.DataSourceClock()
DataSources/DataSourceClock.js 28

Represents desired clock settings for a particular `DataSource`. These settings may be applied to the `Clock` when the DataSource is loaded.

### Members

#### clockRange : ClockRange
DataSources/DataSourceClock.js 82

Gets or sets the desired clock range setting. See `Clock#clockRange`.

#### clockStep : ClockStep
DataSources/DataSourceClock.js 90

Gets or sets the desired clock step setting. See `Clock#clockStep`.

#### currentTime : JulianDate
DataSources/DataSourceClock.js 74

Gets or sets the desired current time when this data source is loaded. See `Clock#currentTime`.

#### readonlydefinitionChanged : Event
DataSources/DataSourceClock.js 46

Gets the event that is raised whenever a new property is assigned.

#### multiplier : Number
DataSources/DataSourceClock.js 98

Gets or sets the desired clock multiplier. See `Clock#multiplier`.

#### startTime : JulianDate
DataSources/DataSourceClock.js 58

Gets or sets the desired start time of the clock. See `Clock#startTime`.

#### stopTime : JulianDate
DataSources/DataSourceClock.js 66

Gets or sets the desired stop time of the clock. See `Clock#stopTime`.

### Methods

#### clone(result) → DataSourceClock
DataSources/DataSourceClock.js 107

Duplicates a DataSourceClock instance.

Name | Type | Description
--- | --- | ---
`result` | DataSourceClock | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### equals(other) → Boolean
DataSources/DataSourceClock.js 126

Returns true if this DataSourceClock is equivalent to the other

Name | Type | Description
--- | --- | ---
`other` | DataSourceClock | The other DataSourceClock to compare to.

##### Returns:

`true` if the DataSourceClocks are equal; otherwise, `false`.

#### getValue() → Clock
DataSources/DataSourceClock.js 163

Gets the value of this clock instance as a `Clock` object.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/DataSourceClock.js 143

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | DataSourceClock | The object to be merged into this object.